@echo off
where /q java.exe
if errorlevel 1 (
    echo Java is not installed.  Visit java.com and install java
    goto end
    )

rem ----- https://sccmnotes.wordpress.com/2019/01/03/getting-the-default-gateway-into-an-environment-variable-in-a-batch-file/
setlocal
rem Get the default gateway into an environment variable
for /f "delims=: tokens=2" %%a in ('ipconfig ^| find /i "default gateway"') do set DefaultGateway=%%a
rem Trim the leading space in the default gateway variable
for /f "tokens=*" %%a in ("%DefaultGateway%") do set GWIP=%%a

if ""=="%GWIP%" (
    echo No Gateway IP address was found.  Is Internet up?
    goto end
    )
echo GWIP=%GWIP%
java.exe -jar txrate.jar -live -ms:10000 -sndbuf:6000000 -l:2800 %GWIP%

:end